summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/db.eclass4
-rw-r--r--eclass/mozcoreconf-2.eclass8
-rw-r--r--eclass/tetex-3.eclass4
-rw-r--r--eclass/tetex.eclass6
4 files changed, 11 insertions, 11 deletions
diff --git a/eclass/db.eclass b/eclass/db.eclass
index 83976f675e96..4d99d629b0c3 100644
--- a/eclass/db.eclass
+++ b/eclass/db.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/db.eclass,v 1.41 2010/10/18 17:39:02 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/db.eclass,v 1.42 2011/07/08 11:36:00 ssuominen Exp $
# This is a common location for functions used in the sys-libs/db ebuilds
#
# Bugs: pauldv@gentoo.org
@@ -148,7 +148,7 @@ db_src_test() {
return 0
fi
- if useq tcl; then
+ if use tcl; then
einfo "Running sys-libs/db testsuite"
ewarn "This can take 6+ hours on modern machines"
# Fix stuff that fails with relative paths, and upstream moving files
diff --git a/eclass/mozcoreconf-2.eclass b/eclass/mozcoreconf-2.eclass
index a991951154ce..2b02cf52921d 100644
--- a/eclass/mozcoreconf-2.eclass
+++ b/eclass/mozcoreconf-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf-2.eclass,v 1.20 2011/07/04 19:26:42 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf-2.eclass,v 1.21 2011/07/08 11:36:00 ssuominen Exp $
#
# mozcoreconf.eclass : core options for mozilla
# inherit mozconfig-2 if you need USE flags
@@ -38,7 +38,7 @@ mozconfig_annotate() {
# => ac_add_options --enable-freetype2 # +truetype
mozconfig_use_enable() {
declare flag=$(use_enable "$@")
- mozconfig_annotate "$(useq $1 && echo +$1 || echo -$1)" "${flag}"
+ mozconfig_annotate "$(use $1 && echo +$1 || echo -$1)" "${flag}"
}
# mozconfig_use_with: add a line to .mozconfig based on a USE-flag
@@ -48,7 +48,7 @@ mozconfig_use_enable() {
# => ac_add_options --with-gss-api=/usr/lib # +kerberos
mozconfig_use_with() {
declare flag=$(use_with "$@")
- mozconfig_annotate "$(useq $1 && echo +$1 || echo -$1)" "${flag}"
+ mozconfig_annotate "$(use $1 && echo +$1 || echo -$1)" "${flag}"
}
# mozconfig_use_extension: enable or disable an extension based on a USE-flag
@@ -57,7 +57,7 @@ mozconfig_use_with() {
# mozconfig_use_extension gnome gnomevfs
# => ac_add_options --enable-extensions=gnomevfs
mozconfig_use_extension() {
- declare minus=$(useq $1 || echo -)
+ declare minus=$(use $1 || echo -)
mozconfig_annotate "${minus:-+}$1" --enable-extensions=${minus}${2}
}
diff --git a/eclass/tetex-3.eclass b/eclass/tetex-3.eclass
index e86fb28e1013..56cf3cb448d4 100644
--- a/eclass/tetex-3.eclass
+++ b/eclass/tetex-3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/tetex-3.eclass,v 1.21 2010/10/10 17:23:14 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/tetex-3.eclass,v 1.22 2011/07/08 11:36:00 ssuominen Exp $
#
# Author: Jaromir Malenko <malenko@email.cz>
# Author: Mamoru KOMACHI <usata@gentoo.org>
@@ -174,7 +174,7 @@ tetex-3_src_install() {
mv ${D}/etc/texmf/web2c/texmf.cnf ${D}/etc/texmf/texmf.d/00texmf.cnf
# xdvi
- if useq X ; then
+ if use X ; then
dodir /etc/X11/app-defaults /etc/texmf/xdvi
mv ${D}${TEXMF_PATH}/xdvi/XDvi ${D}/etc/X11/app-defaults || die "mv XDvi failed"
dosym /etc/X11/app-defaults/XDvi ${TEXMF_PATH}/xdvi/XDvi
diff --git a/eclass/tetex.eclass b/eclass/tetex.eclass
index 382d415c6c05..6f520a2bcf82 100644
--- a/eclass/tetex.eclass
+++ b/eclass/tetex.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/tetex.eclass,v 1.60 2009/01/06 19:25:20 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/tetex.eclass,v 1.61 2011/07/08 11:36:00 ssuominen Exp $
#
# Author: Jaromir Malenko <malenko@email.cz>
# Author: Mamoru KOMACHI <usata@gentoo.org>
@@ -115,7 +115,7 @@ tetex_src_compile() {
local xdvik
- if useq X ; then
+ if use X ; then
addwrite /var/cache/fonts
xdvik="--with-xdvik --with-oxdvik"
#xdvik="$xdvik --with-system-t1lib"
@@ -197,7 +197,7 @@ tetex_src_install() {
#dodoc BUGS FAQ README*
# move docs to /usr/share/doc/${PF}
- if useq doc ; then
+ if use doc ; then
dodir /usr/share/doc/${PF}
mv ${D}/usr/share/texmf/doc/* \
${D}/usr/share/doc/${PF} \